Package be.ehealth.businessconnector.ehbox.api.domain

# Class Document

java.lang.Object
be.ehealth.businessconnector.ehbox.api.domain.Document

All Implemented Interfaces:
  `Serializable`

public class Document extends Object implements Serializable
Document class declaration.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Document()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final byte[]`
  `getContent()`
  `final void`
  `getDocument(String fullpath)`
  Writes content in the document file situated in the directory parameter.
  `final String`
  `getFilename()`
  `final String`
  `getMimeType()`
  `final String`
  `getTitle()`
  `final void`
  `setContent(byte[] content)`
  `final void`
  `setContent(InputStream inputStream)`
  `final void`
  `setContent(Byte[] content)`
  Deprecated.
  : use setContent(byte[] content)
  `void`
  `setException(UnsealConnectorException expection)`
  `final void`
  `setFilename(String filename)`
  `final void`
  `setMimeType(String mimeType)`
  `final void`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Document

    public Document()

- ## Method Details

  - ### getDocument

    public final void getDocument(String fullpath) throws EhboxBusinessConnectorException
    Writes content in the document file situated in the directory parameter.
    Parameters:
      `fullpath` - or a directory.
    Throws:
      `EhboxBusinessConnectorException` - if there's a problem while writing in the document

  - ### getContent

    public final byte[] getContent() throws UnsealConnectorException
    Returns:
      the content
    Throws:
      `UnsealConnectorException`

  - ### setContent

    public final void setContent(byte[] content)
    Parameters:
      `content` - the content to set

  - ### setContent

    @Deprecated public final void setContent(Byte[] content)
    Deprecated.
    : use setContent(byte[] content)
    Parameters:
      `content` - the content to set

  - ### setContent

    public final void setContent(InputStream inputStream) throws TechnicalConnectorException
    Parameters:
      `inputStream` - the content to set
    Throws:
      `TechnicalConnectorException`

  - ### getFilename

    public final String getFilename()
    Returns:
      the filename

  - ### setFilename

    public final void setFilename(String filename)
    Parameters:
      `filename` - the filename to set

  - ### getMimeType

    public final String getMimeType()
    Returns:
      the mimeType

  - ### setMimeType

    public final void setMimeType(String mimeType)
    Parameters:
      `mimeType` - the mimeType to set

  - ### getTitle

    public final String getTitle()
    Returns:
      the title

  - ### setTitle

    public final void setTitle(String title)
    Parameters:
      `title` - the title to set

  - ### setException

    public void setException(UnsealConnectorException expection)
    Parameters:
      `expection` - the exception to set